## bugsquish 0.0.4

=== Makefile ===
# Makefile for bugsquish

# by Bill Kendrick
# bill@newbreedsoftware.com
# http://www.newbreedsoftware.com/

# March 19, 2000 - December 14, 2000


# User-definable stuff:

BIN_PREFIX=/usr/local/bin/
DATA_PREFIX=/usr/share/bugsquish/


# Defaults for Linux:

TARGET=bugsquish
TARGET_DEF=LINUX


CFLAGS=-Wall -O2 $(SDL_CFLAGS) -DDATA_PREFIX=\"$(DATA_PREFIX)\" \
        -D$(NOSOUNDFLAG) -D$(TARGET_DEF)


# Other definitions:

MIXER=-lSDL_mixer
IMAGE=-lSDL_image
NOSOUNDFLAG=__SOUND
SDL_LIB=$(SDL_LDFLAGS) $(MIXER) $(IMAGE)
SDL_CFLAGS := $(shell sdl-config --cflags)
SDL_LDFLAGS := $(shell sdl-config --libs)

installbin = install -g root -o root -m 755 
installdat = install -g root -o root -m 644


# Make commands:

all:	$(TARGET)

install:
	mkdir -p $(DATA_PREFIX)
	cp -r data/* $(DATA_PREFIX)
	chown -R root.root $(DATA_PREFIX)
	chmod -R a+rX,g-w,o-w $(DATA_PREFIX)
	cp bugsquish $(BIN_PREFIX)
	chown root.root $(BIN_PREFIX)/bugsquish
	chmod a+rx,g-w,o-w $(BIN_PREFIX)/bugsquish


nosound:
	make bugsquish MIXER= NOSOUNDFLAG=NOSOUND

win32:
	make TARGET_DEF=WIN32 TARGET=bugsquish.exe DATA_PREFIX=data/
	cp /usr/local/cross-tools/i386-mingw32/lib/SDL*.dll .
	chmod 644 SDL*.dll

clean:
	-rm bugsquish bugsquish.exe
	-rm *.o
	-rm SDL*.dll


# Main executable:

$(TARGET):	bugsquish.o
	$(CC) $(CFLAGS) bugsquish.o -o $(TARGET) $(SDL_LIB)


# Main object:

bugsquish.o:	bugsquish.c \
		data/images/flyswatter.xbm \
		data/images/flyswatter-mask.xbm

## bugsquish 0.0.6

=== Makefile ===
--- 
+++ 
@@ -50,6 +50,17 @@
 	chmod a+rx,g-w,o-w $(BIN_PREFIX)/bugsquish
 
 
+emtest:
+	make bugsquish TARGET_DEF=EMBEDDED DATA_PREFIX=e/
+
+embedded:
+	make bugsquish TARGET_DEF=EMBEDDED \
+		DATA_PREFIX=/opt/QtPalmtop/share/bugsquish/ \
+		SDL_LIB="/usr/local/arm/lib/libSDL_mixer.a /usr/local/arm/lib/libSDL.a -L/usr/local/arm/lib/ -lpthread -L/opt/Qtopia/sharp/lib -lqpe -lqte" \
+                CC=/usr/local/arm/bin/arm-linux-gcc
+	/usr/local/arm/bin/arm-linux-strip bugsquish
+
+
 nosound:
 	make bugsquish MIXER= NOSOUNDFLAG=NOSOUND

=== debian/changelog ===
bugsquish (0.0.6-7) unstable; urgency=low

  * add ${misc-Depends} to dependencies of luola-levels
  * add build-arch and build-indep targets
  * remove call to deprecated dh_desktop
  * remove duplicate "with" from description
  * updated Standards-Version to 3.9.2 (no changes)
  * switch to dpkg-source 3.0 (quilt) format

 -- Christian T. Steigies <cts@debian.org>  Sun, 04 Sep 2011 16:57:32 +0200

bugsquish (0.0.6-6) unstable; urgency=low

  * updated Standards-Version to 3.7.3, use section Games/Action according
    to the menu policy
  * do not ignore make clean error
  * use debian/compat and use compat verion 5
  * call dh_desktop

 -- Christian T. Steigies <cts@debian.org>  Mon, 24 Mar 2008 19:20:22 +0100

bugsquish (0.0.6-5) unstable; urgency=low

  * add Desktop file from Barry deFreese (closes: #376768)
  * updated Standards-Version to 3.7.2 (no changes)

 -- Christian T. Steigies <cts@debian.org>  Sun, 16 Jul 2006 12:18:34 +0200

bugsquish (0.0.6-4) unstable; urgency=low

  * updated watch file
  * updated Standards-Version to 3.7.0 (no changes)
  * use current debhelper

 -- Christian T. Steigies <cts@debian.org>  Thu,  4 May 2006 06:38:35 +0000

bugsquish (0.0.6-3) unstable; urgency=low

  * correct manpage section, install with dh_installman
  * use upstream install target, remove embedded files
  * install menu icon to /usr/share/pixmaps
  * copyright is with the author

 -- Christian T. Steigies <cts@debian.org>  Sun, 13 Mar 2005 17:25:07 +0100

bugsquish (0.0.6-2) unstable; urgency=low

  * manpage points to the correct README (closes: #213632)
  * updated debian/watch file for new location of upstream source
  * updated Standards-Version to 3.6.1.0, use DEB_BUILD_OPTIONS
  * do not use install target, do not install data files for embedded version
  
 -- Christian T. Steigies <cts@debian.org>  Tue,  4 Nov 2003 23:09:02 -0500

bugsquish (0.0.6-1) unstable; urgency=low

  * new upstream version

 -- Christian T. Steigies <cts@debian.org>  Thu, 30 May 2002 07:24:49 -0400

bugsquish (0.0.4-1) unstable; urgency=low

  * new upstream version
  * upstream provides install target, adapt rules to use it

 -- Christian T. Steigies <cts@debian.org>  Thu,  6 Dec 2001 22:45:56 -0500

bugsquish (0.0.2-6) unstable; urgency=low

  * Build-Depends on libsdl1.2-dev (>= 1.2.2-3.1), 
    libsdl-image1.2-dev(>= 1.2.0-1.1), libsdl-mixer1.2-dev (>= 1.2.0-1.1)
    due to SDL overhaul

 -- Christian T. Steigies <cts@debian.org>  Wed, 10 Oct 2001 23:23:50 -0400

bugsquish (0.0.2-5) unstable; urgency=low

  * build with SDL1.2
  * do not ship INSTALL.txt
  * update standards version

 -- Christian T. Steigies <cts@debian.org>  Mon, 16 Jul 2001 18:07:16 -0400

bugsquish (0.0.2-4) unstable; urgency=low

  * add closing quote to icon entry in the menu file (closes: #87876)

 -- Christian T. Steigies <cts@debian.org>  Tue, 27 Feb 2001 20:31:08 +0100

bugsquish (0.0.2-3) unstable; urgency=low

  * remove (unneeded) dh_suidregister from debian/rules

 -- Christian T. Steigies <cts@debian.org>  Sat,  3 Feb 2001 21:14:33 +0100

bugsquish (0.0.2-2) unstable; urgency=low

  * use the icon for the menusystem

 -- Christian T. Steigies <cts@debian.org>  Tue, 12 Dec 2000 17:48:46 +0100

bugsquish (0.0.2-1) unstable; urgency=low

  * new upstream version

 -- Christian T. Steigies <cts@debian.org>  Tue, 23 May 2000 23:57:11 +0200

bugsquish (0.0.1-1) unstable; urgency=low

  * new upstream version

 -- Christian T. Steigies <cts@debian.org>  Mon, 10 Apr 2000 19:16:32 +0200

bugsquish (0.0.0-1) unstable; urgency=low

  * Initial Release.

 -- Christian T. Steigies <cts@debian.org>  Thu, 23 Mar 2000 21:02:25 +0100

=== debian/control ===
Source: bugsquish
Section: games
Priority: optional
Maintainer: Christian T. Steigies <cts@debian.org>
Standards-Version: 3.9.2
Build-Depends: debhelper (>> 5), libsdl1.2-dev (>=1.2.2-3.1), libsdl-mixer1.2-dev (>=1.2.0-1.1), libsdl-image1.2-dev (>=1.2.0-1.1)

Package: bugsquish
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Bugs are trying to suck blood out of your arm!
 "Bug Squish" is an action game not unlike light gun arcade games, but
 played with a mouse.  It's loosely based on a MacOS game whose name I
 can't recall.
 .
 Bugs are trying to suck blood out of your arm!  Squish them with
 your fly swatter before you run out of blood.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

installdoc = install -g root -o root -m 644

TARGET=bugsquish

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_CFLAGS = -Wall -g
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
  DEB_CFLAGS += -O0
else
  DEB_CFLAGS += -O2
endif
# this is handled automatically by dh_strip
#ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
#  INSTALL_PROGRAM += -s
#endif

build: build-arch build-indep

build-arch: build-stamp

build-indep: build-stamp

build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE) DEB_CFLAGS="$(DEB_CFLAGS)" DATA_PREFIX=$(DESTDIR)/usr/share/games/$(TARGET)/

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	# Add here commands to install the package into debian/tmp.
	$(MAKE) install \
         DESTDIR=$(CURDIR)/debian/$(TARGET) \
         BIN_PREFIX=$(CURDIR)/debian/$(TARGET)/usr/games \
         MAN_PREFIX=$(CURDIR)/debian/$(TARGET)/usr/share \
         DATA_PREFIX=$(CURDIR)/debian/$(TARGET)/usr/share/games/$(TARGET)/
# remove data for embedded
	-rm -rf $(CURDIR)/debian/$(TARGET)/usr/share/games/$(TARGET)/embedded
# convert the icon... cmap.xpm is gone, this is not required anymore?
#       mogrify -format xpm -geometry 32x32 \
#          -map /usr/X11R6/include/X11/pixmaps/cmap.xpm data/images/icon.bmp
	$(installdoc) data/images/$(TARGET)-icon.xpm \
                      debian/$(TARGET)/usr/share/pixmaps/
# install desktop files
	install -D -m 644 $(CURDIR)/debian/bugsquish.desktop $(CURDIR)/debian/bugsquish/usr/share/applications/bugsquish.desktop


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_installmenu
	dh_installcron
	dh_installman debian/bugsquish.6
	dh_installinfo
	dh_installchangelogs CHANGES.txt
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

=== debian/watch ===
# format version number, currently 2; this line is compulsory!
version=2

# Site          Directory               Pattern                 Version Script
#ftp.sonic.net	/pub/users/nbs/unix/x/bugsquish	bugsquish-(.*)\.tar\.gz	debian	uupdate
#ftp://ftp.sonic.net/pub/users/nbs/unix/x/bugsquish/src/bugsquish-([\d\.]+)\.tar\.gz debian uupdate

ftp://ftp.billsgames.com/unix/x/bugsquish/src/bugsquish-([\d\.]+)\.tar\.gz debian uupdate
